io.agora.rtc

## Class VideoTrackInfo

- java.lang.Object
- - io.agora.rtc.VideoTrackInfo

-     public class VideoTrackInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `channelId`
    `private int` | `codecType`
    `private int` | `encodedFrameOnly`
    `private int` | `isLocal`
    `private int` | `observationPosition`
    `private int` | `ownerUid`
    `private int` | `sourceType`
    `private int` | `streamType`
    `private int` | `trackId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoTrackInfo()`
    `VideoTrackInfo(int isLocal, int ownerUid, int trackId, java.lang.String channelId, int streamType, int codecType, int encodedFrameOnly, int sourceType, int observationPosition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelId()`
    `int` | `getCodecType()`
    `int` | `getEncodedFrameOnly()`
    `int` | `getIsLocal()`
    `int` | `getObservationPosition()`
    `int` | `getOwnerUid()`
    `int` | `getSourceType()`
    `int` | `getStreamType()`
    `int` | `getTrackId()`
    `void` | `setChannelId(java.lang.String channelId)`
    `void` | `setCodecType(int codecType)`
    `void` | `setEncodedFrameOnly(int encodedFrameOnly)`
    `void` | `setIsLocal(int isLocal)`
    `void` | `setObservationPosition(int observationPosition)`
    `void` | `setOwnerUid(int ownerUid)`
    `void` | `setSourceType(int sourceType)`
    `void` | `setStreamType(int streamType)`
    `void` | `setTrackId(int trackId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isLocal

          private int isLocal

    - #### ownerUid

          private int ownerUid

    - #### trackId

          private int trackId

    - #### channelId

          private java.lang.String channelId

    - #### streamType

          private int streamType

    - #### codecType

          private int codecType

    - #### encodedFrameOnly

          private int encodedFrameOnly

    - #### sourceType

          private int sourceType

    - #### observationPosition

          private int observationPosition

  - ### Constructor Detail

    - #### VideoTrackInfo

          public VideoTrackInfo()

    - #### VideoTrackInfo

          public VideoTrackInfo(int isLocal,
                                int ownerUid,
                                int trackId,
                                java.lang.String channelId,
                                int streamType,
                                int codecType,
                                int encodedFrameOnly,
                                int sourceType,
                                int observationPosition)

  - ### Method Detail

    - #### getIsLocal

          public int getIsLocal()

    - #### setIsLocal

          public void setIsLocal(int isLocal)

    - #### getOwnerUid

          public int getOwnerUid()

    - #### setOwnerUid

          public void setOwnerUid(int ownerUid)

    - #### getTrackId

          public int getTrackId()

    - #### setTrackId

          public void setTrackId(int trackId)

    - #### getChannelId

          public java.lang.String getChannelId()

    - #### setChannelId

          public void setChannelId(java.lang.String channelId)

    - #### getStreamType

          public int getStreamType()

    - #### setStreamType

          public void setStreamType(int streamType)

    - #### getCodecType

          public int getCodecType()

    - #### setCodecType

          public void setCodecType(int codecType)

    - #### getEncodedFrameOnly

          public int getEncodedFrameOnly()

    - #### setEncodedFrameOnly

          public void setEncodedFrameOnly(int encodedFrameOnly)

    - #### getSourceType

          public int getSourceType()

    - #### setSourceType

          public void setSourceType(int sourceType)

    - #### getObservationPosition

          public int getObservationPosition()

    - #### setObservationPosition

          public void setObservationPosition(int observationPosition)